Category: Enhancement

Target version:

Description

Support for custom loop tags enabling the playback of music files designed to be looped in a specific way.

See forum post by Musicallylnspired.

Subtasks:

Feature # 2390: [FMOD] Ogg Vorbis custom loop point tags New
Feature # 2391: [SDL_mixer] Decode Ogg Vorbis manually and use custom loop points for p... New
History

#1 - 2018-12-16 15:46 - skyjake
- Subject changed from OGG/FLAC custom loop targs to OGG/FLAC custom loop tags

#2 - 2019-11-30 16:28 - skyjake

- Target version changed from 2.3.x to 2.3

#3 - 2019-12-31 10:47 - skyjake

Did some research. It appears the loop tags should be easy to parse from the .ogg file (UTF-8 strings in the comments), however the playback aspect
is a bit trickier.

e FMOD has support for setting loop start/end by sample.

e SDL_mixer does not support looping. There is a custom fork called SDL Mixer X that adds support for looping. It would be preferable to use the
original SDL_mixer and decode the Ogg audio manually using libvorbis, for instance.

#4 - 2019-12-31 11:05 - skyjake
- Target version deleted (2.3)
https://talk.dengine.net/discussion/comment/17240/#Comment_17240
https://github.com/WohlSoft/SDL-Mixer-X
http://www.tcpdf.org

